/***************************************************************************
 *   Copyright (C) 2009 by Eugene Korotkov   *
 *   cyberozz@yandex.ru   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include "sleep.h"
#include <sys/time.h>

int mysleep(unsigned long ms)
{
  struct timeval timeout;
  timeout.tv_sec=ms/1000000L;
  timeout.tv_usec=ms-(timeout.tv_sec*1000000L);
  
  while (timeout.tv_sec + timeout.tv_usec != 0)
  {
    select(1,0,0,0,&timeout);
  }  

  return 0;
}
